Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class ChecksumUtil

    java.lang.Object
      org.apache.hadoop.util.ChecksumUtil

    public class ChecksumUtil

extends Object

Constructor Summary
`ChecksumUtil()`

Method Summary
`static void` | `updateChunkChecksum(byte[] buf, int checksumOff, int dataOff, int dataLen, DataChecksum checksum)` updates the checksum for a buffer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChecksumUtil

    public ChecksumUtil()

Method Detail

### updateChunkChecksum

    public static void updateChunkChecksum(byte[] buf,
                                           int checksumOff,
                                           int dataOff,
                                           int dataLen,
                                           DataChecksum checksum)
                                    throws IOException

  updates the checksum for a buffer

  Parameters:
    `buf` - - buffer to update the checksum in
    `chunkOff` - - offset in the buffer where the checksum is to update
    `dataOff` - - offset in the buffer of the data
    `dataLen` - - length of data to compute checksum on
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation